import request from '@/utils/request'

// 查询所属行业类型列表
export function listType(query) {
  return request({
    url: '/crmIndustryType/findByPage',
    method: 'get',
    params: query
  })
}

// 查询所属行业类型详细
export function getType(id) {
  return request({
    url: '/crmIndustryType/type/' + id,
    method: 'get'
  })
}

// 新增所属行业类型
export function addType(data) {
  return request({
    url: '/crmIndustryType/type',
    method: 'post',
    data: data
  })
}

// 修改所属行业类型
export function updateType(data) {
  return request({
    url: '/crmIndustryType/type',
    method: 'put',
    data: data
  })
}

// 删除所属行业类型
export function delType(id) {
  return request({
    url: '/crmIndustryType/deleteAll',
    method: 'delete'
  })
}
// 批量删除行政许可
export function delTypeBatch(ids) {
  console.log(ids);
  return request.post('/crmIndustryType/delete',ids)
}
